Page MenuHomePhabricator

Update to UI display of the sister project snippets
Closed, ResolvedPublic

Description

Let's update the overall UI display of the sister project snippets in the search results page:

  1. change the title of the display to be "Results from other Wikimedia projects"
    • this might require an update from translatewiki
  2. change each snippet's footer text link to blue to note that it's a clickable link
  3. remove the space before each footer link
    • there's a space character before the text in each footer link in LTR languages
  4. make the project footer text more consistent
    • update to 'Textbooks from Wikibooks'
    • update to 'Texts from Wikisource'
    • this might require an update from translatewiki

Event Timeline

debt created this task.Jul 26 2017, 11:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2017, 11:18 PM

Change 371957 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] Minor fixes for sister search sidebar

https://gerrit.wikimedia.org/r/371957

Link colors and title text are no problem(1 & 2), but it looks like footer link text (3 & 4) is being overridden for english wikipedia and maybe others by this text:
https://en.wikipedia.org/wiki/MediaWiki:Search-interwiki-custom
That page hasn't been updated since 2012, and since the feature has changed considerably since then, it might be a good idea to remove this override.

debt added a comment.Aug 14 2017, 8:07 PM

Hey @CKoerner_WMF - let's chat about this feature change (for 3 & 4) and the community. :)

Change 372121 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/WikimediaMessages@master] Adding custom text for sister search results

https://gerrit.wikimedia.org/r/372121

Change 371957 merged by jenkins-bot:
[mediawiki/core@master] Making sister search sidebar links blue

https://gerrit.wikimedia.org/r/371957

Moving to the done column - this update should ride the train this week.

debt closed this task as Resolved.Sep 1 2017, 8:29 PM

This was put into production on Aug 31, 2017, here is a sample on dewiki searching for
restaurantkette:

debt added a subscriber: Ruslik0.Sep 11 2017, 11:28 PM

FYI, after a brief discussion, a change was done to the project footer text: https://en.wikipedia.org/wiki/MediaWiki:Search-interwiki-custom
Thanks, @Ruslik0 :)